import API from './api.js?v=2.1.17';

const Utils = {
    findSession: async function(redirectLogin = true) {
        const token = localStorage.getItem('token');
    
        if (token) {
            const response = await API.validateToken();
            if (response.success) {
                return true;
            } else {
                localStorage.removeItem('token');
                if(redirectLogin) window.location.href = './login.html';
                return false;
            }
        } else {
            if(redirectLogin) window.location.href = './login.html';
            return false;
        }
    },

    findAdminSession: async function(redirectLogin = true) {
        const token = localStorage.getItem('token');
    
        if (token) {
            const response = await API.validateAdminToken();
            if (response.success) {
                return true;
            } else {
                localStorage.removeItem('token');
                if(redirectLogin) window.location.href = './login.html';
                return false;
            }
        } else {
            if(redirectLogin) window.location.href = './login.html';
            return false;
        }        
    }
}

export default Utils