document.addEventListener("DOMContentLoaded", async function () {
    try {
        const response = await fetch("https://bci.carpete.pt/api/version");
        const data = await response.json();
        const serverVersion = data.version;
        const localVersion = localStorage.getItem("siteVersion");

        if (localVersion !== serverVersion) {
            localStorage.setItem("siteVersion", serverVersion);
            location.reload(); // Recarrega a página para carregar os ficheiros atualizados
        } else {

        }
    } catch (error) {
        console.error("Erro ao verificar a versão do site:", error);
    }
});
